# Created by pyp2rpm-3.3.4
%global pypi_name setuptools-git-ls-files

Name:           python-%{pypi_name}
Version:        0.1.2
Release:        1%{?dist}
Summary:        Use git to list all files, including submodules

License:        MIT
URL:            https://github.com/anthrotype/setuptools_git_ls_files/
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/setuptools_git_ls_files-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
 setuptools_git_ls_filesA plugin for setuptools that finds all git tracked
files, including submodules. The command used is git ls-files --cached
--recurse-submodule.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
 setuptools_git_ls_filesA plugin for setuptools that finds all git tracked
files, including submodules. The command used is git ls-files --cached
--recurse-submodule.


%prep
%autosetup -n setuptools_git_ls_files-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/setuptools_git_ls_files.py
%{python3_sitelib}/setuptools_git_ls_files-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Oct 05 2020 mockbuilder - 0.1.2-1
- Initial package.